<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:1.0" name="subsystem.microprofile-opentracing-smallrye.jaeger-tracer">
    <annotation name="jboss-op">
        <elem name="name" value="add"/>
        <elem name="op-params" value="tags,tracer_id_128bit,propagation,reporter-flush-interval,reporter-log-spans,reporter-max-queue-size,sampler-manager-host-port,sampler-param,sampler-type,sender-auth-password,sender-auth-token,sender-auth-user,sender-binding,sender-endpoint"/>
        <elem name="addr-params" value="profile,subsystem,jaeger-tracer"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="subsystem.microprofile-opentracing-smallrye"/>
    </annotation>
    <provides>
        <capability name="$profile.org.wildfly.microprofile.opentracing.tracer.$jaeger-tracer"/>
    </provides>
    <requires>
        <capability name="org.wildfly.network.outbound-socket-binding.$sender-binding" optional="true"/>
    </requires>
    <refs>
        <ref feature="subsystem.microprofile-opentracing-smallrye"/>
        <ref feature="profile" nillable="true"/>
    </refs>
    <params>
        <param name="sampler-param" nillable="true"/>
        <param name="sender-auth-user" nillable="true"/>
        <param name="sampler-manager-host-port" nillable="true"/>
        <param name="sampler-type" nillable="true"/>
        <param name="profile" feature-id="true" default="GLN_UNDEFINED"/>
        <param name="subsystem" feature-id="true" default="microprofile-opentracing-smallrye"/>
        <param name="tracer_id_128bit" nillable="true"/>
        <param name="reporter-log-spans" nillable="true"/>
        <param name="sender-endpoint" nillable="true"/>
        <param name="jaeger-tracer" feature-id="true"/>
        <param name="tags" nillable="true"/>
        <param name="propagation" nillable="true" type="List&lt;String&gt;"/>
        <param name="sender-auth-password" nillable="true"/>
        <param name="reporter-flush-interval" nillable="true"/>
        <param name="sender-auth-token" nillable="true"/>
        <param name="reporter-max-queue-size" nillable="true"/>
        <param name="sender-binding" nillable="true"/>
    </params>
</feature-spec>